This method will scan all application processes and and return them to the caller.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationProcesses/{tenantId}
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/applicationProcesses/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The application processeswere retrieved successfully.
Allow for applicants to update the application while it is under review
The rule set for calculating the expiration of an application submitted by this process
The certification application form
If true, applications in this process are marked approved once requirements are met. Otherwise they are pending approval
If true, this process is available to training providers
Whether or not an email should be sent when the application is received
Whether or not to send an email when the certification is actually activated
If true, users can register for courses while applying for the certification
If true, only certain eligible persons can proceed with this process
If true, users can register for exams while applying for the certification
Only people who are grandfathered into other certification programs may complete this process
The rule set for calculating the expiration of a certification generated by this process
Whether or not to override POC settings
If true, data stored in the certification profile is used as the starting point for the application
Restrict to certain types of organizations
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "allow_applicants_to_update_in_portal": true, "applicant_update_options": { … }, "application_confirmation_email_options": { … }, "application_expiration_rule_set_id": "string", "application_form_id": "string", "automatically_approve_applications_once_requirements_are_met": true, "available_to_training_providers": true, "certification_activation_email_options": { … }, "checkout_settings": { … }, "contact_form_options": { … }, "course_registration_options": { … }, "customer_type": "contact", "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "eligibility_criteria": { … }, "enable_application_confirmation_email": true, "enable_certification_activation_email": true, "enable_course_registration": true, "enable_eligibility_criteria": true, "enable_exam_registration": true, "enable_grandfather_restrictions": true, "exam_registration_options": { … }, "expiration_rule_set_id": "string", "fee_id": "string", "grandfather_restrictions": { … }, "id": "string", "is_active": true, "name": "string", "organization_form_options": { … }, "organization_type_ids": [ … ], "override_checkout_settings": true, "prefill_application_with_profile_information": true, "program_id": "string", "reinstatement_options": { … }, "renewal_options": { … }, "requirements": [ … ], "restrict_organization_types": true, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "transfer_options": { … }, "type": "certification" } ]